# Class: Polygon

## scoord3d.Polygon(options)

POLYGON graphic denoted by multiple, ordered, coplaner (x, y, z) coordinates that represent vertices of connected line segments. The first and last coordinate should be identical.

## Constructor

#### new Polygon(options)

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | ###### Properties
Name | Type | Attributes | Description
--- | --- | --- | ---
`frameOfReferenceUID` | string |  | Unique identifier of the Frame of Reference
`coordinates` | Array.<Array.<number>> |  | (x, y, z) coordinates of points on the perimeter of the polygon (first and last coordinate must be the same).
`fiducialUID` | string | <optional> | Unique identifier of an imaging fiducial

Source:
  - scoord3d.js, line 217

### Extends

- scoord3d.Scoord3D

### Members

#### fiducialUID :string

Fiducial UID

##### Type:

- string

Overrides:
  - scoord3d.Scoord3D#fiducialUID
Source:
  - scoord3d.js, line 74

#### frameOfReferenceUID :string

Frame of Reference UID

##### Type:

- string

Overrides:
  - scoord3d.Scoord3D#frameOfReferenceUID
Source:
  - scoord3d.js, line 65

#### graphicData :Array.<Array.<number>>

Graphic Data

##### Type:

- Array.<Array.<number>>

Overrides:
  - scoord3d.Scoord3D#graphicData
Source:
  - scoord3d.js, line 47

#### graphicType :string

Graphic Type

##### Type:

- string

Overrides:
  - scoord3d.Scoord3D#graphicType
Source:
  - scoord3d.js, line 56